Page elements still jumping around and blinking on RC page and Watchlist
Open, HighPublic

Description

I'm looking on beta and—though the list of abbreviations and the community links (on RC) no longer open
then close—there is still a lot of movement on the page. This spoils the perception of stability and speed we're aiming for. Here's what I see when I reload the pages on beta as of 9/29:

On RC page, with Abbreviations and Review Links boxes closed

  • Search results and list of abbreviations. These jump down about a quarter of an inch, then jump up again.
  • List of abbreviations: During load, the word "expand" disappears, causing the element to shrink in width, then the word reappears, causing the element to get wider again.
  • 'Other review tools' link: This blinks away then blinks back into view. - fixed
    • The color of the link changes during the page reload - it's black when the page is loading; then, it's blue when the page finishes loading. [ @Etonkovidova I don't see this. Do you still see it?]

On RC page, with with Abbreviations and Review Links boxes open

  • 'Other review tools' box: The outline of the box disappears and the box contents shift left about 1/8th of an inch, then right again.
  • Search results and list of abbreviations.These shift up about 1/4 of an inch and then back down.
  • List of abbreviations box: The "[hide] link disappears then reappears (as described above).

On Watchlist, with Abbreviations box open

  • Search results: Jump up about a half inch and then back down. (What appears to be causing this is that when the Edit Your Watched Pages button at top disappears, the text at top re-wraps, then rewraps again when the button comes back.)
  • List of abbreviations box: .The "[collapse] link disappears then reappears (as described above).

On Watchlist, with Abbreviations box closed

  • Search results: same as above-up and down 1/2 inch.
  • List of abbreviations: During load, the word "expand" disappears, causing the element to shrink in width, then the word reappears, causing the element to get wider again. (It also jumps up and down, as above.) @Etonkovidova, I don't see the issue of the box getting narrower then wider as being fixed on either production or beta.
jmatazzoni renamed this task from Page elements still jumping around and blinking on RC page and Watchlist, spoiling sense of speed and stability to Page elements still jumping around and blinking on RC page and Watchlist.
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Oct 5 2017, 7:01 PM

@Catrope, I checked all these items as requested. All are still valid, with a couple of small emendations. Anyway, everything above is live on production as of now.

Change 384189 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Fix RC jumpiness due to expanded/collapsed community links

https://gerrit.wikimedia.org/r/384189

The fix above corrects the jumpiness in RecentChanges; I couldn't reproduce the jumpiness in Watchlist...

It seems the jumpiness on English Wikipedia's Watchlist is due to the dismissable links at the top, which caused 'jumpiness' regardless of RCFilters being enabled or not.
I can't reproduce jumpiness on Watchlist without those links.

Change 384189 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Fix RC jumpiness due to expanded/collapsed community links

https://gerrit.wikimedia.org/r/384189

Betalabs seems to be ok for jumpiness, but it's present in testwiki (1.31.0-wmf.4). Since not all phab tasks tagged with 1.31.0-wmf.4 ( e.g. T177540: Improve wording of user message in Saved Filter Menu) seem to be deoplyed, I suspect that not all fixes got to 1.31.0-wmf.4.

Attached are screen recordings for testwiki:

The two causes of jumpiness on testwiki RC are the banner they have at the top (which is not us), and the unported filter for the Translate extension (which is T159795: Port Translate to new RC Filters system). On the Watchlist there's also the "New messages for you" thing which looks like a gadget.

@Catrope if we have different causes for jumpiness in different wikis, can we fix the most common ones? Betalabs RC page/Watchlist look almost perfect in terms of jumpiness. I will check others when wmf.4 will be deployed to see any improvement or specific problems.

Etonkovidova updated the task description. (Show Details)Oct 19 2017, 9:10 PM

I checked different wikis (hewiki, cawiki, and enwiki) with wmf.4.

Several problems are still present

@jmatazzoni - should we keep this ticket or create a separate ticket to list existing cases of jumpiness?

jmatazzoni updated the task description. (Show Details)Oct 19 2017, 9:22 PM
jmatazzoni updated the task description. (Show Details)Oct 19 2017, 9:25 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni added a comment.EditedOct 19 2017, 9:31 PM

Please see the three items in the Description marked with red triangles—re. the disappearing-reappearing hide/show links that make the Abbreviations box shrink then grow. @Mooeypoo, it seems like there should be some simple trick that could get around this. Can that be addressed or is there some reason why this has to stay like this?

(Weirdly, these links say "hide"/"show" on production and "expand"/"collapse" on beta; as far as it goes, I prefer "hide"/"show", because they take up less space, but I don't really care.)

@Etonkovidova, I don't see that issue—of the Abbreviations box getting narrower then wider—as being fixed on Watchlist on either production or beta, as your notation in the Description indicates. Can you have another look?

@jmatazzoni sorry, my mistake - 'List of abbreviations' item in On Watchlist, with Abbreviations box closed got the green marker incorrectly - I corrected it.

jmatazzoni reassigned this task from Mooeypoo to Catrope.Nov 15 2017, 7:45 PM

Hey @Catrope, you had an idea for fixing the list of abbreviations box issue, marked with a red triangle above. Just a reminder to take a look at this.